## printbill 4.1.2-1

=== Makefile ===
DESTDIR =

include Config

progs:
	for i in $(BUILDSUBDIRS) ; do (cd $$i; make) || exit 1 ; done

clean:	
	for i in $(BUILDSUBDIRS) ; do (cd $$i; make clean) || exit 1 ; done

install: progs
	mkdir -p $(DESTDIR)$(TOPLEVEL_HOME)/bin
	mkdir -p $(DESTDIR)$(TOPLEVEL_HOME)/sbin
	mkdir -p $(DESTDIR)$(TOPLEVEL_HOME)/share/doc/printbill
	mkdir -p $(DESTDIR)$(TOPLEVEL_HOME)/$(MAN)/man1
	mkdir -p $(DESTDIR)$(TOPLEVEL_HOME)/$(MAN)/man5
	mkdir -p $(DESTDIR)$(TOPLEVEL_HOME)/$(MAN)/man8
	mkdir -p $(DESTDIR)$(PMOD_HOME)/Printbill
	
	install -o $(OWNER) -g $(GROUP) -m 0755 $(BIN_PROGS) $(DESTDIR)$(TOPLEVEL_HOME)/bin
	install -o $(OWNER) -g $(GROUP) -m 0755 $(SBIN_PROGS) $(DESTDIR)$(TOPLEVEL_HOME)/sbin
	install -o $(OWNER) -g $(GROUP) -m 0644 $(PERL_MODS) $(DESTDIR)$(PMOD_HOME)/Printbill
	install -o $(OWNER) -g $(GROUP) -m 0644 $(MAN1_PAGES) $(DESTDIR)$(TOPLEVEL_HOME)/$(MAN)/man1
	install -o $(OWNER) -g $(GROUP) -m 0644 $(MAN5_PAGES) $(DESTDIR)$(TOPLEVEL_HOME)/$(MAN)/man5
	install -o $(OWNER) -g $(GROUP) -m 0644 $(MAN8_PAGES) $(DESTDIR)$(TOPLEVEL_HOME)/$(MAN)/man8

	if [ ${DO_CGI} = "y" ] ; then\
		mkdir -p $(DESTDIR)$(CGI_BIN) ; \
		install -o $(OWNER) -g $(GROUP) -m 0755 $(CGI_SCRIPTS) $(DESTDIR)$(CGI_BIN) ; \
	fi;

	install -d -m 0755 $(DESTDIR)/etc/printbill
	install -o $(OWNER) -g $(GROUP) -m 644 $(CONFIG_FILES) $(DESTDIR)/etc/printbill
	
	install -d -m 0755 -o $(OWNER) -g $(GROUP) $(DESTDIR)$(TOPLEVEL_HOME)/share/doc/printbill
	install -o $(OWNER) -g $(GROUP) -m 0644 docs/* $(DESTDIR)$(TOPLEVEL_HOME)/share/doc/printbill
	install -d -m 0755 -o $(OWNER) -g $(GROUP) $(DESTDIR)$(TOPLEVEL_HOME)/share/doc/printbill/examples
	install -o $(OWNER) -g $(GROUP) -m 0755 perl/buy perl/printbill_billme $(DESTDIR)$(TOPLEVEL_HOME)/share/doc/printbill/examples
	install -o $(OWNER) -g $(GROUP) -m 0644 examples/example_pq.html examples/printbillrc examples/printcap $(DESTDIR)$(TOPLEVEL_HOME)/share/doc/printbill/examples

	@echo
	@echo Installation completed. Assuming you didn\'t see any horrible error messages,
	@echo you should now configure your printbillrc and printcap files using 
	@echo "printbill_configure". Once this has been done you can run \"pqm --init\" to
	@echo initialise the databases. If you want to use the web interface it is suggested 
	@echo that you run \"pqm --updateprinters\" after you have configured your printcap 
	@echo file, so that they will be listed properly \(if you don\'t, printers will only 
	@echo be listed after something has been printed on them\). Also note that before 
	@echo anyone may print they must be added to the system and given some quota via the
	@echo commands \"pqm --add username\" and \"pqm --inc username --amount 10\" \(e.g. 
	@echo -e for \\04410 worth of quota\).
	@echo

install-init: install-init-script install-init-link

install-init-script:
	install -d -m 0755 -o $(OWNER) -g $(GROUP) $(DESTDIR)$(INITDIR)
	install -o $(OWNER) -g $(GROUP) -m 0755 $(INITSCRIPTDIR)/$(INITSCRIPT) $(DESTDIR)$(INITDIR)

# This one should be absolute - RedHat & Debian use the same

install-init-link:
	if [ ${INITSTYLE} = "sysv" ] ; then\
		install -d -m 0755 -o $(OWNER) -g $(GROUP) $(DESTDIR)$(SYSVLINKDIR) ; \
		ln -sf ../init.d/$(INITSCRIPT) $(DESTDIR)$(SYSVLINKDIR)/$(SYSVLINK) ; \
	fi;

=== src/Makefile ===
# C flags for people who installed libpng in /usr/local...

CFLAGS=-Wall -O2 -I/usr/local/include
LDFLAGS=-lpng -lm -L/usr/local/lib

all: percentblack percentcolour percent_cmy
	strip percentblack
	strip percentcolour
	strip percent_cmy

percentblack:	percentblack.c

percentcolour:	percentcolour.c

percent_cmy:	percent_cmy.c

clean:	
	@rm percentblack percentcolour percent_cmy &> /dev/null || true

=== debian/changelog ===
printbill (4.1.2-1) unstable; urgency=low

  * New upstream release. Now we have debconf support for the financelog
    option...

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 13 Jan 2003 19:48:55 +1100

printbill (4.1.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sat, 11 Jan 2003 21:28:13 +1100

printbill (4.1.0-2) unstable; urgency=low

  * Now printbill properly registers its init script. Completely lintian
    clean now, although some of the hackery required to fool lintian into
    passing the perl postinst script is rather evil.

 -- Daniel Franklin <d.franklin@ieee.org>  Tue,  7 Jan 2003 10:21:29 +1100

printbill (4.1.0-1) unstable; urgency=low

  * New upstream release, with much improved debconf support

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 30 Dec 2002 16:21:04 +1100

printbill (4.0.7-1) unstable; urgency=low

  * New upstream release
  * Minor web interfaces fubars fixed

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 14 Oct 2002 13:07:55 +1000

printbill (4.0.6-2) unstable; urgency=low

  * Priority dropped to extra
  * Typo fixed in example web footer (copyright symbol)

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 22 Sep 2002 10:49:38 +1000

printbill (4.0.6-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 18 Aug 2002 11:58:21 +1000

printbill (4.0.5-4) unstable; urgency=low

  * Should have mentioned the bug fix in 4.0.5-3 (closes: #155762)
  * Billing should actually be possible now (UID/GID snafu in -3 ;-)

 -- Daniel Franklin <d.franklin@ieee.org>  Tue, 13 Aug 2002 18:42:19 +1000

printbill (4.0.5-3) unstable; urgency=low

  * Spelling mistake in package description fixed

 -- Daniel Franklin <d.franklin@ieee.org>  Wed,  7 Aug 2002 22:17:31 +1000

printbill (4.0.5-2) unstable; urgency=low

  * Minor bugfix release

 -- Daniel Franklin <d.franklin@ieee.org>  Sun,  4 Aug 2002 11:18:37 +1000

printbill (4.0.5-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 21 Jul 2002 17:13:29 +1000

printbill (4.0.4-1) unstable; urgency=low

  * Bug-fix upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Fri,  5 Jul 2002 12:11:48 +1000

printbill (4.0.3-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Mon,  1 Jul 2002 12:32:20 +1000

printbill (4.0.2-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Fri, 21 Jun 2002 13:51:44 +1000

printbill (4.0.1-1) unstable; urgency=low

  * New upstream release

 -- Daniel Franklin <d.franklin@ieee.org>  Sat, 23 Mar 2002 18:16:10 +1100

printbill (4.0.0-2) unstable; urgency=low

  * Minor bug-fixes to printbill_configure, webpqcheck.pl and the HedHat
    .spec file.

 -- Daniel Franklin <d.franklin@ieee.org>  Fri,  8 Mar 2002 10:19:15 +1100

printbill (4.0.0-1) unstable; urgency=high

  * Major update. Now we have an init script :)

 -- Daniel Franklin <d.franklin@ieee.org>  Thu, 28 Feb 2002 22:21:51 +1100

printbill (3.2.0-1) unstable; urgency=low

  * Version bumpted to 3.2.0.

 -- Daniel Franklin <d.franklin@ieee.org>  Sun, 17 Feb 2002 14:23:53 +1100

printbill (3.1.3-1) unstable; urgency=low

  * Version bumped to 3.1.3... varous fixes incorporated.

 -- Daniel Franklin <d.franklin@ieee.org>  Thu,  7 Feb 2002 18:07:29 +1100

printbill (3.1.2-3) unstable; urgency=low

  * Fixes to pqm --init, for the case where no web interface is being used
  * Fixes to pqm --used <printer>, for the case where default printer
    parameters are being used (a perl fubar - never test defined %hash :)

 -- Daniel Franklin <d.franklin@ieee.org>  Fri,  1 Feb 2002 09:36:32 +1100

printbill (3.1.2-2) unstable; urgency=low

  * More fixes to web interface. FUBAR with Debian package built with RedHat
    defaults also fixed.

 -- Daniel Franklin <d.franklin@ieee.org>  Thu, 31 Jan 2002 11:49:37 +1100

printbill (3.1.2-1) unstable; urgency=low

  * Added configuration utility "printbill_configure"
  * Moved perl modules to $(PMOD_HOME)/Printbill
  * Various RedHat compatibility fixes - mainly adding a $params{'nice'}.
  * Makefile improvements, perl 5.6.0 bug work-arounds

 -- Daniel Franklin <d.franklin@ieee.org>  Sat, 18 Jan 2002 13:08:08 +1100

printbill (3.1.1-1) unstable; urgency=high

  * changes to pqm --display --web to present all relevant info - speeds up
    webpqadmin by a huge factor
  * fixes to cleanup subroutine... was not unlocking properly

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 31 Dec 2001 18:09:08 +1100

printbill (3.1-2) unstable; urgency=low

  * printbill now depends on gsfonts
  * build-depend added for libpng2-dev (duh)

 -- Daniel Franklin <d.franklin@ieee.org>  Tue, 27 Nov 2001 19:19:30 +1100

printbill (3.1-1) unstable; urgency=low

  * Initial Release.

 -- Daniel Franklin <d.franklin@ieee.org>  Mon, 24 Oct 2001 19:58:57 +1000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: printbill
Section: text
Priority: extra
Maintainer: Daniel Franklin <d.franklin@ieee.org>
Build-Depends: debhelper, libpng2-dev | libpng3-dev | libpng12-dev
Standards-Version: 3.5.2

Package: printbill
Architecture: any
Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, ${shlibs:Depends}
Recommends: apache
Suggests: samba, gnuplot
Description: Sophisticated print billing / accounting system for lprng
 Printbill calculates the amount of ink/toner and the number of pages used
 when printing a document. It uses ghostscript to convert postscript files
 into PNG bitmaps, then calls percentblack or percentcolour to determine the
 percentage coverage. Prices may be independently determined for for each
 printer, with set rates for black and colour ink/toner and per-page. Bill
 calculation is quite CPU intensive so printbill allows multiple concurrent
 billing processes to be executed - jobs may not be printed in the order in
 which they are sent to the queue. On SMP systems printbill will happily
 make use of all processors if so instructed. Printbill can bill before
 or after printing, or can be configured to only perform accounting. It is
 possible to bill based only on pagecount, but although it is much faster,
 it is easy to fool and is not recommended.
 .
 Users pre-pay a quota and this is automatically decremented as they print -
 alternatively one may just do per-user and per-printer accounting with no
 billing. Various mechanisms exist for generating a quote. Printbill also
 keeps detailed statistics on printing habits which may be of interest to
 administrators. The system may be managed via either a command-line
 application or via a convenient web interface (for non-tech people).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	ln -sf Config.debian Config

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/printbill.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/printbill

	dh_movefiles --sourcedir=debian/printbill

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
	dh_installinit -a
#	dh_installcron -a
	dh_installman -a
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
#	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## printbill 4.1.2-1.1

=== debian/changelog ===
printbill (4.1.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libpng transition (Closes: #328333)

 -- Luk Claes <luk@debian.org>  Thu, 27 Oct 2005 18:56:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: extra
 Maintainer: Daniel Franklin <d.franklin@ieee.org>
-Build-Depends: debhelper, libpng2-dev | libpng3-dev | libpng12-dev
+Build-Depends: debhelper, libpng12-dev
 Standards-Version: 3.5.2
 
 Package: printbill
 Architecture: any
-Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, ${shlibs:Depends}
+Depends: gs, gsfonts, exim | mail-transport-agent, perl, lprng, debconf (>= 1.2.9), perl-modules, magicfilter, adduser, ${shlibs:Depends}
 Recommends: apache
 Suggests: samba, gnuplot
 Description: Sophisticated print billing / accounting system for lprng
